﻿.divider {
    width: 1px;
    height: 38px;
    background-color: #ccc;
}

.qty-btn {
    width: 32px;
    height: 32px;
    padding: 0;
}


.category a {
    text-decoration: none;
    color: #000;
    font-weight: 500;
}

    .category a:hover {
        text-decoration: none;
        color: #747474;
    }

.price-now {
    font-size: 15px;
    font-weight: 400;
    color: #777;
}

.breadcrumb-links a {
    text-decoration: none;
    color: #777;
    font-weight: 300;
}

.product-title {
    font-size: 20px;
    font-weight: 600;
    line-height: 1.2;
}

.add-to-cart-btn {
    background: #FA9376;
    color: #fff;
    padding: 10px 18px;
    border-radius: 19px;
}

    .add-to-cart-btn:hover,
    .add-to-cart-btn:focus,
    .add-to-cart-btn:active {
        background-color: #FA9376 !important;
        color: #fff !important;
        box-shadow: none;
    }

.product-weight {
    font-weight: 600;
    color: #666;
    font-size: 15px;
}

.quantity-box {
    border: 1px solid #ccc;
    border-radius: 6px;
    display: inline-flex;
    align-items: center;
    gap: 2px;
    height: 38px;
}

.qty-btn {
    width: 28px;
    height: 28px;
    padding: 0;
    font-size: 16px;
}

.quantity-box input {
    width: 40px;
    height: 28px;
    padding: 0;
}

.form-control {
    border: none;
    border-radius: 0;
}

.product-price {
    font-weight: 700;
}

.product-img-wrapper {
    position: relative;
    overflow: hidden;
}

.product-img {
    transition: transform 0.35s ease;
}

.product-img-wrapper:hover .product-img {
    transform: scale(1.08);
}


.zoom-btn {
    position: absolute;
    bottom: 12px;
    right: 25px;
    display: flex;
    align-items: center;
    gap: 8px;
    height: 40px;
    width: 40px;
    padding: 0 12px;
    background: rgba(255,255,255,0.9);
    border: none;
    cursor: pointer;
    border-radius: 50%;
    overflow: hidden;
    transition: width 0.3s ease, border-radius 0.3s ease;
}

    .zoom-btn img {
        width: 18px;
        height: 18px;
        flex-shrink: 0;
    }


.zoom-text {
    white-space: nowrap;
    font-size: 14px;
    opacity: 0;
    transform: translateX(-6px);
    transition: opacity 0.2s ease, transform 0.2s ease;
}


.zoom-btn:hover {
    width: 145px;
    border-radius: 999px;
}

    .zoom-btn:hover .zoom-text {
        opacity: 1;
        transform: translateX(0);
    }


.product-tabs .nav-tabs {
    border-bottom: 1px solid #e5e5e5;
}

.product-tabs .nav-link {
    color: #000;
    background: #f3f3f3;
    border: none;
    border-radius: 0;
    padding: 10px 20px;
    margin-left: 5px;
}

    .product-tabs .nav-link.active {
        background: #fff;
        font-weight: 600;
        border-bottom: 2px solid #000;
    }

.product-tabs .tab-content {
    color: #000;
}

.form-control {
    border: 1px solid #ddd;
    padding: 15px;
    border-radius: 5px;
}

.rating-wrapper span {
    font-size: 20px;
    margin-right: 4px;
}


.submit-detail {
    background-color: rgb(202,169,132);
    color: #fff;
    border-radius: 0;
}

    .submit-detail:hover {
        background-color: #253d25;
        color: #fff;
        border-radius: 0;
    }


.product-card {
    padding: 20px;
    border: 1px solid #e5e5e5;
    text-align: center;
    background: #fff;
}

.product-card-img {
    object-fit: cover;
}

.product-card-title {
    font-size: 14px;
    margin-bottom: 8px;
}

.product-card-price {
    font-weight: 600;
    margin-bottom: 0px;
}


.quantity-box input {
    border: none;
}

.btn-hover {
    position: relative;
    overflow: hidden;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: 10px 22px;
    font-size: 12px;
    background: #253d25;
    border: none;
    transition: background-color 0.3s ease;
    -webkit-transform: translateZ(0);
}

   
    .btn-hover:hover {
        background: #253d25;
    }


    .btn-hover .btn-icon {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) scale(0.6);
        opacity: 0;
        transition: opacity 0.3s ease, transform 0.3s ease;
        -webkit-backface-visibility: hidden;
    }

    .btn-hover .btn-text {
        transition: opacity 0.3s ease, transform 0.3s ease;
    }

    .btn-hover:hover .btn-text {
        opacity: 0;
        transform: translateY(-8px);
    }

   
    .btn-hover:hover .btn-icon {
        opacity: 1;
        transform: translate(-50%, -50%) scale(1);
    }


    .btn-hover .btn-icon img {
        width: 25px;
        height: 25px;
        filter: brightness(0) invert(1);
    }


.add-to-cart-hover {
    position: relative;
    overflow: hidden;
    transition: all 0.3s ease;
    padding: 10px 22px;
    font-size: 12px;
    background: #253d25;
    border: none;
}

    .add-to-cart-hover:hover {
        background: #253d25;
    }

    .add-to-cart-hover .btn-icon {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) scale(0);
        opacity: 0;
        transition: all 0.3s ease;
    }

    .add-to-cart-hover .btn-text {
        transition: all 0.3s ease;
    }

    .add-to-cart-hover:hover .btn-text {
        opacity: 0;
        transform: translateY(-10px);
    }

    .add-to-cart-hover:hover .btn-icon {
        opacity: 1;
        transform: translate(-50%, -50%) scale(1);
    }

    .add-to-cart-hover .btn-icon img {
        width: 25px;
        height: 25px;
        filter: brightness(0) invert(1);
    }


.card-img-wrapper {
    overflow: hidden;
    position: relative;
}

    .card-img-wrapper img {
        width: 100%;
        height: auto;
        object-fit: cover;
    }

.wishlist-btn {
    position: absolute;
    top: 12px;
    left: 12px;
    width: 38px;
    height: 38px;
    background: #fff;
    border: none;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transform: translateX(-20px);
    transition: all 0.35s ease;
    cursor: pointer;
}

    .wishlist-btn i {
        font-size: 19px;
        color: #000;
        top: 5px;
        position: relative;
    }

.card:hover .wishlist-btn {
    opacity: 1;
    transform: translateX(0);
}

.wishlist-btn:hover i {
    color: #000;
}

.sticky-footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    border-top: 1px solid #ddd;
}

.product-thumb {
    width: 70px;
    height: 70px;
    object-fit: cover;
}

.product-name {
    font-weight: 500;
}

.quantity-box input {
    width: 40px;
    height: 30px;
    padding: 0;
}

.d-none {
    display: none !important;
}

#product-sticky {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20rem; 
    gap: 2rem; 
}

.price-now{
    margin-top: 15px;
}

.product-sticky {
    display: block;
}

.product-stickyMobile {
    display: none;
}


.product-swiper-wrapper {
    position: relative;
}

.review-item {
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 13px 15px;
    margin-bottom: 10px;
    background-color: #f8f9fa;
}

.toggle-btn {
    display: none;
    background-color: rgb(202, 169, 132);
    color: #fff;
    border-radius: 0;
    padding: 8px;
    font-size: 14px;
    transition: color 0.2s;
    border: none;
    margin-top: 15px;
}

    .toggle-btn:hover {
        background-color: #253d25;
        color: #fff;
        border-radius: 0;
    }


.related-products-header {
    position: relative;
}

.related-products-title {
    font-size: 1.8rem;
    font-size: 22px;
    color: #333;
}

.title-underline {
    width: 60px; 
    height: 2px; 
    background-color: #333;
    margin-top: 5px;
}

.mobile-arrow {
    display: block;
    width: 25px;
    height: 25px;
    color: #000;
}

    .mobile-arrow::after {
        font-size: 25px; 
    }

.out-of-stock-box {
    max-width: 400px;
    padding: 18px 20px;
    border-radius: 10px;
    background: #f8f9fa;
    border: 1px solid #e9ecef;
}

.out-title {
    font-size: 15px;
    font-weight: 600;
    color: #212529;
}

.out-subtitle {
    font-size: 13px;
    color: #6c757d;
}

.contact-link {
    color: rgb(255, 102, 0);
    font-weight: 600;
    text-decoration: none;
    transition: 0.2s ease;
}

    .contact-link:hover {
        text-decoration: underline;
    }

@media (max-width: 760px) {
    .product-sticky{
        display: none !important;
    }

    .product-stickyMobile{
        display: block;
    }

    .swiper-slide {
        display: flex;
        justify-content: center; 
    }

    
    .product-card {
        width: 75%; 
    }


    .swiper-button-prev,
    .swiper-button-next {
        top: 56%;
        transform: translateY(-50%);
        z-index: 10;
    }


    .mobile-arrow {
        display: block; 
        width: 25px;
        height: 25px;
        color: #000;
    }

    .swiper-button-next::after,
    .swiper-button-prev::after {
        font-size: 17px; 
    }

    .product-card .btn-hover {
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
        gap: 8px;
        width: fit-content;
        max-width: 100%;
    }



    .product-card .d-flex {
        flex-direction: row !important; 
        justify-content: center; 
        align-items: center;
        gap: 8px; 
    }

        .product-card .btn-hover .btn-text,
        .product-card .btn-hover .btn-icon {
            display: inline-block;
        }

    .btn-hover {
        position: relative;
        overflow: hidden;
        display: inline-flex;
        justify-content: center;
        align-items: center;
        padding: 12px 18px;
        font-size: 10px;
        background: #253d25;
        border: none;
        transition: background-color 0.3s ease;
      
        -webkit-transform: translateZ(0);
        -webkit-backface-visibility: hidden;
    }

}



.review-stars {
    white-space: nowrap;
    font-size: 16px;
    line-height: 1;
}

    .review-stars .star {
        color: #f0ad4e;
        cursor: default;
        user-select: none;
    }


@media (max-width: 550px) {

    .product-card {
        width: 59%;
    }

    .btn-hover {
        padding: 8px;
        font-size: 10px;
        background: #253d25;
    }

    .quantity-box {
        height: 32px;
        border-radius: 8px;
        border: 1px solid #e5e5e5;
    }

        .quantity-box input {
            width: 22px;
            font-size: 13px;
        }

        .quantity-box button {
            font-size: 14px;
            width: 22px;
            height: 32px;
        }

    .divider {
        height: 20px;
        background: #e5e5e5;
    }

    .product-card {
        background: #fff;
        border-radius: 10px;
        padding: 11px !important;
        position: relative;
        overflow: hidden;
        text-decoration: none;
        box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
    }
}

.add-to-cart-btn {
    background: #FA9376;
    color: #fff;
    font-size: 15px;
    padding: 7px 14px;
    border-radius: 19px;
}
    }